Subject: bug#28945: 25.2; desktop auto save timer does not work

From: Drew Adams <[email-masked]>
Date: Thu, 26 Oct 2017 11:28:08 -0700 (PDT)

> > > Once a desktop file exists, Emacs will auto-save it
> > > according to the option ‘desktop-auto-save-timeout’.
> >
> > Why is the default value 30 instead of just nil (OFF)?
> 
> I don't know.  But this question should have been asked when this
> feature was introduced during development of Emacs 24.4.  Now it's a
> fait accompli.

I see.  I wasn't aware of it back then.  Mea culpa.
(I don't use desktop in a way that would be affected by
this, so I wasn't aware of it until this bug thread.
It doesn't affect me directly.)

And I didn't realize when I sent my message that this
was baked-in way back in 24.4.  Too bad.

Kinda hard to believe that the default behavior would
be changed in an incompatible way like that, but so
be it.  Also hard to believe, if it was so easy to
change the default behavior in 24.4 from a longstanding
one, that it is now so hard to change it (e.g. back).
Fait accompli, maybe.  But once and for all, over and
done with?

Too bad also, if, as you say, this question should have
been asked back then, that it wasn't asked by those who
were looking at the possible new feature.  (I don't know
that it wasn't asked, but you seem to suggest that, by
saying that it should have been.)